summaryrefslogtreecommitdiffstats
path: root/doc
diff options
context:
space:
mode:
Diffstat (limited to 'doc')
-rwxr-xr-xdoc/sync/primary-backup.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/doc/sync/primary-backup.sh b/doc/sync/primary-backup.sh
index e5331e3..ae6546b 100755
--- a/doc/sync/primary-backup.sh
+++ b/doc/sync/primary-backup.sh
@@ -7,6 +7,8 @@
#
# Description:
#
+# Use this script is you use a Linux kernel < 2.6.29.
+#
# This is the script for primary-backup setups for keepalived
# (http://www.keepalived.org). You may adapt it to make it work with other
# high-availability managers.
@@ -49,6 +51,15 @@ case "$1" in
then
logger "ERROR: failed to invoke conntrackd -R"
fi
+
+ #
+ # send a bulk update to backups
+ #
+ $CONNTRACKD_BIN -C $CONNTRACKD_CONFIG -B
+ if [ $? -eq 1 ]
+ then
+ logger "ERROR: failed to invoke conntrackd -B"
+ fi
;;
backup)
#